Update Collection Endpoint
PATCH
/catalog/collections/{collection_id}
const url = 'https://example.com/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"description":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/catalog/collections/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "name": "example" }'Update a collection’s name and/or description. Owner or admin only.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” collection_id
required
Collection Id
string format: uuid
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
CollectionResponse
object
created_at
required
Created At
string format: date-time
dataset_count
required
Dataset Count
integer
extent_bbox
Any of:
Array<number>
null
id
required
Id
string format: uuid
name
required
Name
string
updated_at
required
Updated At
string format: date-time
Example generated
{ "created_at": "2026-04-15T12:00:00Z", "created_by": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "dataset_count": 1, "description": "example", "extent_bbox": [ 1 ], "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "temporal_end": "2026-04-15", "temporal_start": "2026-04-15", "updated_at": "2026-04-15T12:00:00Z"}Bad request — invalid payload
Media type application/problem+json
Unauthorized — missing or invalid credentials
Media type application/problem+json
Forbidden — caller lacks write access
Media type application/problem+json
Not found
Media type application/problem+json
Conflict — resource state prevents the operation
Media type application/problem+json
Validation error
Media type application/problem+json
Too many requests — retry after the advertised interval
Media type application/problem+json
Headers
Section titled “Headers ” Retry-After
integer
Seconds until the request may be retried
Internal server error
Media type application/problem+json
Service unavailable — the database could not serve the request
Media type application/problem+json